<!-- (c) https://github.com/MontiCore/monticore -->
**grammar moved to:** https://github.com/MontiCore/OCL
   * fiddle will move later in extra repo (so that checkout does not need forever)

[![Maintainability](https://api.codeclimate.com/v1/badges/7f8f42df0538b9b4f8ec/maintainability)](https://codeclimate.com/github/EmbeddedMontiArc/OCL/maintainability)
[![Build Status](https://travis-ci.org/EmbeddedMontiArc/OCL.svg?branch=master)](https://travis-ci.org/EmbeddedMontiArc/OCL)
[![Build Status](https://circleci.com/gh/EmbeddedMontiArc/OCL/tree/master.svg?style=shield&circle-token=:circle-token)](https://circleci.com/gh/EmbeddedMontiArc/OCL/tree/master)
[![Coverage Status](https://coveralls.io/repos/github/EmbeddedMontiArc/OCL/badge.svg?branch=master)](https://coveralls.io/github/EmbeddedMontiArc/OCL?branch=master)
 [![Java 8](https://img.shields.io/badge/java-8-blue.svg)](http://java.oracle.com)

# OCL

A DSL parsing OCL expressions.

**Interactive OCLFiddle**: https://embeddedmontiarc.github.io/OCL/
(needs about 2 minutes to load; works on Chrome 63+ and Firefox 57+ on Windows, Linux and Mac)
